# hexdec

(PHP 4, PHP 5, PHP 7)

hexdec — Hexadecimal to decimal

### Description

hexdec ( string `$hex_string` ) : number

Returns the decimal equivalent of the hexadecimal number represented by the `hex_string` argument. hexdec() converts a hexadecimal string to a decimal number.

hexdec() will ignore any non-hexadecimal characters it encounters. As of PHP 7.4.0 supplying any invalid characters is deprecated.

### Parameters

`hex_string`

  The hexadecimal string to convert

### Return Values

The decimal representation of `hex_string`

### Changelog

Version | Description
--- | ---
7.4.0 | Passing invalid characters will now generate a deprecation notice. The result will still be computed as if the invalid characters did not exist.

### Examples

Example #1 hexdec() example

`<?php
var_dump(hexdec("See"));
var_dump(hexdec("ee"));
// both print "int(238)"
var_dump(hexdec("that")); // print "int(10)"
var_dump(hexdec("a0")); // print "int(160)"
?>`

### Notes

> Note:

> The function can convert numbers that are too large to fit into the platforms integer type, larger values are returned as float in that case.

### See Also

- dechex() - Decimal to hexadecimal
- bindec() - Binary to decimal
- octdec() - Octal to decimal
- base_convert() - Convert a number between arbitrary bases